package com.dayou.service;
import com.dayou.entity.BrokerageMarketerRatio;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.MarketerRatioVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 项目提成比例（市场人员） 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
public interface IBrokerageMarketerRatioService extends IService<BrokerageMarketerRatio> {

        Page<MarketerRatioVO> selectPage(Page page, BrokerageMarketerRatio brokerageMarketerRatio);

        BrokerageMarketerRatio detail(Long id);

        Boolean add(BrokerageMarketerRatio brokerageMarketerRatio);

        Boolean update(BrokerageMarketerRatio brokerageMarketerRatio);

        Boolean delete(Long id);

        void cacheMarketerRatio();

}
